# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'airspaceRules_AD.ui'
#
# Created: Sat Apr 29 11:03:51 2017
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_airspaceRulesWidget_AD(object):
    def setupUi(self, airspaceRulesWidget_AD):
        airspaceRulesWidget_AD.setObjectName("airspaceRulesWidget_AD")
        airspaceRulesWidget_AD.resize(417, 297)
        self.verticalLayout = QtWidgets.QVBoxLayout(airspaceRulesWidget_AD)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_2 = QtWidgets.QGroupBox(airspaceRulesWidget_AD)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_2.sizePolicy().hasHeightForWidth())
        self.groupBox_2.setSizePolicy(sizePolicy)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout.setObjectName("gridLayout")
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 0, 0, 1, 1)
        self.spawnAPP_minFL_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.spawnAPP_minFL_edit.setMinimum(50)
        self.spawnAPP_minFL_edit.setMaximum(250)
        self.spawnAPP_minFL_edit.setSingleStep(10)
        self.spawnAPP_minFL_edit.setProperty("value", 150)
        self.spawnAPP_minFL_edit.setObjectName("spawnAPP_minFL_edit")
        self.gridLayout.addWidget(self.spawnAPP_minFL_edit, 0, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_9.sizePolicy().hasHeightForWidth())
        self.label_9.setSizePolicy(sizePolicy)
        self.label_9.setAlignment(QtCore.Qt.AlignCenter)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 0, 2, 1, 1)
        self.spawnAPP_maxFL_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.spawnAPP_maxFL_edit.setMinimum(50)
        self.spawnAPP_maxFL_edit.setMaximum(250)
        self.spawnAPP_maxFL_edit.setSingleStep(10)
        self.spawnAPP_maxFL_edit.setProperty("value", 170)
        self.spawnAPP_maxFL_edit.setObjectName("spawnAPP_maxFL_edit")
        self.gridLayout.addWidget(self.spawnAPP_maxFL_edit, 0, 3, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox_2)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 1, 0, 1, 1)
        self.TWRrangeDistance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.TWRrangeDistance_edit.setMinimum(5)
        self.TWRrangeDistance_edit.setMaximum(50)
        self.TWRrangeDistance_edit.setObjectName("TWRrangeDistance_edit")
        self.gridLayout.addWidget(self.TWRrangeDistance_edit, 1, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.groupBox_2)
        self.label_11.setAlignment(QtCore.Qt.AlignCenter)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 1, 2, 1, 1)
        self.TWRrangeCeiling_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.TWRrangeCeiling_edit.setMinimum(20)
        self.TWRrangeCeiling_edit.setMaximum(100)
        self.TWRrangeCeiling_edit.setSingleStep(5)
        self.TWRrangeCeiling_edit.setObjectName("TWRrangeCeiling_edit")
        self.gridLayout.addWidget(self.TWRrangeCeiling_edit, 1, 3, 1, 1)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.groupBox = QtWidgets.QGroupBox(airspaceRulesWidget_AD)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.formLayout_2 = QtWidgets.QFormLayout(self.groupBox)
        self.formLayout_2.setObjectName("formLayout_2")
        self.label_8 = QtWidgets.QLabel(self.groupBox)
        self.label_8.setObjectName("label_8")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_8)
        self.entryPoints_edit = QtWidgets.QLineEdit(self.groupBox)
        self.entryPoints_edit.setObjectName("entryPoints_edit")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.entryPoints_edit)
        self.label_7 = QtWidgets.QLabel(self.groupBox)
        self.label_7.setObjectName("label_7")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_7)
        self.exitPoints_edit = QtWidgets.QLineEdit(self.groupBox)
        self.exitPoints_edit.setObjectName("exitPoints_edit")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.exitPoints_edit)
        self.verticalLayout.addWidget(self.groupBox)
        self.groupBox_3 = QtWidgets.QGroupBox(airspaceRulesWidget_AD)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox_3.sizePolicy().hasHeightForWidth())
        self.groupBox_3.setSizePolicy(sizePolicy)
        self.groupBox_3.setObjectName("groupBox_3")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox_3)
        self.formLayout.setObjectName("formLayout")
        self.label = QtWidgets.QLabel(self.groupBox_3)
        self.label.setObjectName("label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label)
        self.initialClimb_edit = QtWidgets.QLineEdit(self.groupBox_3)
        self.initialClimb_edit.setObjectName("initialClimb_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.initialClimb_edit)
        self.speedRestriction_tickBox = QtWidgets.QCheckBox(self.groupBox_3)
        self.speedRestriction_tickBox.setChecked(True)
        self.speedRestriction_tickBox.setObjectName("speedRestriction_tickBox")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.SpanningRole, self.speedRestriction_tickBox)
        self.verticalLayout.addWidget(self.groupBox_3)
        self.label_5.setBuddy(self.spawnAPP_minFL_edit)
        self.label_9.setBuddy(self.spawnAPP_maxFL_edit)
        self.label_10.setBuddy(self.TWRrangeDistance_edit)
        self.label_11.setBuddy(self.TWRrangeCeiling_edit)
        self.label_8.setBuddy(self.entryPoints_edit)
        self.label_7.setBuddy(self.exitPoints_edit)
        self.label.setBuddy(self.initialClimb_edit)

        self.retranslateUi(airspaceRulesWidget_AD)
        QtCore.QMetaObject.connectSlotsByName(airspaceRulesWidget_AD)

    def retranslateUi(self, airspaceRulesWidget_AD):
        _translate = QtCore.QCoreApplication.translate
        self.groupBox_2.setTitle(_translate("airspaceRulesWidget_AD", "Ranges"))
        self.label_5.setText(_translate("airspaceRulesWidget_AD", "APP receives aircraft between:"))
        self.spawnAPP_minFL_edit.setPrefix(_translate("airspaceRulesWidget_AD", "FL"))
        self.label_9.setText(_translate("airspaceRulesWidget_AD", "and"))
        self.spawnAPP_maxFL_edit.setPrefix(_translate("airspaceRulesWidget_AD", "FL"))
        self.label_10.setText(_translate("airspaceRulesWidget_AD", "TWR range:"))
        self.TWRrangeDistance_edit.setSuffix(_translate("airspaceRulesWidget_AD", " NM"))
        self.label_11.setText(_translate("airspaceRulesWidget_AD", "/"))
        self.TWRrangeCeiling_edit.setPrefix(_translate("airspaceRulesWidget_AD", "FL"))
        self.groupBox.setTitle(_translate("airspaceRulesWidget_AD", "Entry and exit points"))
        self.label_8.setText(_translate("airspaceRulesWidget_AD", "Entry points:"))
        self.entryPoints_edit.setToolTip(_translate("airspaceRulesWidget_AD", "Separate with whitespace"))
        self.entryPoints_edit.setPlaceholderText(_translate("airspaceRulesWidget_AD", "Random entry"))
        self.label_7.setText(_translate("airspaceRulesWidget_AD", "Exit points:"))
        self.exitPoints_edit.setToolTip(_translate("airspaceRulesWidget_AD", "Separate with whitespace"))
        self.exitPoints_edit.setPlaceholderText(_translate("airspaceRulesWidget_AD", "Any exit"))
        self.groupBox_3.setTitle(_translate("airspaceRulesWidget_AD", "Other rules"))
        self.label.setText(_translate("airspaceRulesWidget_AD", "Iinital climb (unless instructed otherwise):"))
        self.initialClimb_edit.setToolTip(_translate("airspaceRulesWidget_AD", "FL or ft"))
        self.initialClimb_edit.setPlaceholderText(_translate("airspaceRulesWidget_AD", "(required)"))
        self.speedRestriction_tickBox.setText(_translate("airspaceRulesWidget_AD", "Enforce a 250 kt speed restriction under FL100 (airspace classes C through G)"))

